Subject: [lisp] I-D Action: draft-ietf-lisp-gpe-12.txt

From: [email-masked]
Date: Mon, 18 Nov 2019 23:39:04 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Locator/ID Separation Protocol WG of the IETF.

        Title           : LISP Generic Protocol Extension
        Authors         : Fabio Maino
                          Jennifer Lemon
                          Puneet Agarwal
                          Darrel Lewis
                          Michael Smith
	Filename        : draft-ietf-lisp-gpe-12.txt
	Pages           : 14
	Date            : 2019-11-18

Abstract:
   This document describes extentions to the Locator/ID Separation
   Protocol (LISP) Data-Plane, via changes to the LISP header, to
   support multi-protocol encapsulation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lisp-gpe/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lisp-gpe-12
https://datatracker.ietf.org/doc/html/draft-ietf-lisp-gpe-12

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lisp-gpe-12

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Fabio Maino (fmaino)" <[email-masked]>
Date: Tue, 19 Nov 2019 07:53:06 +0000

I have updated LISP-GPE as discussed in this morning meeting. This should allow to send the document back into last call. 

Main changes, as you can see from the attached diff file, include: 
- better description of motivation behind shim headers
- removed down ref to RFC 8060 in section 5.1 and reference to Multiple Data-Planes Encapsulation Bitmap Registry. Determination of ETR capabilities is out of scope of the document now. 

Please send your comments, if any. 

Thanks,
Fabio

On 11/19/19, 3:39 PM, "lisp on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    
    Abstract:

    

    
    _______________________________________________
    lisp mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lisp

---

From: "Fabio Maino (fmaino)" <[email-masked]>
Date: Tue, 19 Nov 2019 08:00:55 +0000

....resending with the right diff file attachment.

Thanks,
Fabio

On 11/19/19, 3:53 PM, "lisp on behalf of Fabio Maino (fmaino)" <[email-masked] on behalf of [email-masked]> wrote:

    
    
    Thanks,
    Fabio

        
        
        Abstract:

---

From: Luigi Iannone <[email-masked]>
Date: Thu, 21 Nov 2019 10:17:20 +0800

Hi Fabio,

I would suggest that you change the text in section 5.1 as follows:

OLD:

	The detection of ETR capabilities to support multiple data plane 
	encapsulations and shim headers is out of the scope of this document. 
	Given that the applicability domain of LISP-GPE is a traffic-managed
	controlled environment, ITR/ETR (xTR) configuration mechanisms 
	may be used for this purpose.

NEW:

	The discovery of xTR capabilities to support LISP-GPE and related features 
	is out of the scope of this document. 
	Given that the applicability domain of LISP-GPE is a traffic-managed
	controlled environment, ITR/ETR (xTR) configuration mechanisms 
	may be used for this purpose.

Other than that, the document looks good to me.

Ciao

L.

> On 19 Nov 2019, at 16:00, Fabio Maino (fmaino) <[email-masked]> wrote:
>

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 21 Nov 2019 10:25:24 +0800

What are “related features”.

Dino

> On Nov 21, 2019, at 10:17 AM, Luigi Iannone <[email-masked]> wrote:
> 
> Hi Fabio,
>

---

From: Luigi Iannone <[email-masked]>
Date: Thu, 21 Nov 2019 10:26:19 +0800

the shim headers.

L.

> On 21 Nov 2019, at 10:25, Dino Farinacci <[email-masked]> wrote:
>

---

From: Luigi Iannone <[email-masked]>
Date: Thu, 21 Nov 2019 10:27:06 +0800

may be we can drop that and keep only LISP-GPE.

L.

> On 21 Nov 2019, at 10:26, Luigi Iannone <[email-masked]> wrote:
> 
> the shim headers.
> 
> L.
>

---

From: Luigi Iannone <[email-masked]>
Date: Thu, 21 Nov 2019 10:27:41 +0800

Folks,

During IESG review, the LISP-GPE document undergone several changes that the chairs deemed to be worth being presented to the WG.

This has been done this week, a new version of the document has been issued as an outcome of the presentation.

For those that were not able to join us in Singapore, you have two weeks time have a look to the document and send back any comment you have.

Past this time, the shepherd will update the writeup and the document will be sent back to the IESG to continue the publication process.

Thanks

Ciao

L.

> On 19 Nov 2019, at 15:53, Fabio Maino (fmaino) <[email-masked]> wrote:
> 
> On 11/19/19, 3:39 PM, "lisp on behalf of [email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]> on behalf of [email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>    [email-masked] <mailto:[email-masked]>
>    https://www.ietf.org/mailman/listinfo/lisp <https://www.ietf.org/mailman/listinfo/lisp>
> 
> 
> <2019-11 LISP-GPE -11 presentation to LISP WG.pdf>_______________________________________________
> lisp mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/lisp <https://www.ietf.org/mailman/listinfo/lisp>

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 21 Nov 2019 10:28:59 +0800

But that is LISP-GPE. The text implies other things outside of LISP-GPE. Hence my question.

How about "The discovery of xTR capabilities to support LISP-GPE is out of the scope of this document.”

Dino

> On Nov 21, 2019, at 10:26 AM, Luigi Iannone <[email-masked]> wrote:
> 
> the shim headers.
> 
> L.
>

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 21 Nov 2019 10:29:17 +0800

Ack.

Dino

> On Nov 21, 2019, at 10:27 AM, Luigi Iannone <[email-masked]> wrote:
>

---

From: "Fabio Maino (fmaino)" <[email-masked]>
Date: Fri, 22 Nov 2019 04:07:13 +0000

Sounds good. 

Next version will reflect this change.. 

Fabio

On 11/21/19, 10:29 AM, "Dino Farinacci" <[email-masked]> wrote:

    Ack.
    
    Dino